Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 708740

Summary: net-misc/remmina-1.3.10 : fails to build with -fno-common or gcc-10
Product: Gentoo Linux Reporter: Toralf Förster <toralf>
Component: Current packagesAssignee: Ben Kohler <bkohler>
Status: RESOLVED FIXED    
Severity: normal    
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 705764    
Attachments: emerge-info.txt
emerge-history.txt
environment
etc.portage.tbz2
logs.tbz2
net-misc:remmina-1.3.10:20200208-162432.log
temp.tbz2

Description Toralf Förster gentoo-dev 2020-02-08 16:56:51 UTC
cd /var/tmp/portage/net-misc/remmina-1.3.10/work/remmina-1.3.10_build/src && /usr/bin/x86_64-pc-linux-gnu-gcc -DHAVE_LIBGCRYPT -DWITH_MANPAGES -I/var/tmp/portage/net-misc/remmina-1.3.10/work/Remmina-v1.3.10/. -I/var/tmp/portage/net-misc/remmina-1.3.10/work/Remmina-v1.3.10/src/include -I/usr/include/gtk-3.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/harfbuzz -I/usr/include/pango-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/atk-1.0 -I/usr/lib64/libffi/include -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/gio-unix-2.0 -I/usr/include/json-glib-1.0 -I/usr/include/libsoup-2.4   -DNDEBUG -O2 -pipe -march=native -fno-common -fPIC -Wall -g   -o CMakeFiles/remmina.dir/remmina_stats_sender.c.o -c /var/tmp/portage/net-misc/remmina-1.3.10/work/Remmina-v1.3.10/src/remmina_stats_sender.c
[ 40%] Linking C executable remmina
cd /var/tmp/portage/net-misc/remmina-1.3.10/work/remmina-1.3.10_build/src && /usr/bin/cmake -E cmake_link_script CMakeFiles/remmina.dir/link.txt --verbose=1
/usr/bin/x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -fno-common -fPIC -Wall -g  -Wl,-O1 -Wl,--as-needed -rdynamic CMakeFiles/remmina.dir/remmina_about.c.o CMakeFiles/remmina.dir/remmina_applet_menu.c.o CMakeFiles/remmina.dir/remmina_applet_menu_item.c.o CMakeFiles/remmina.dir/remmina_avahi.c.o CMakeFiles/remmina.dir/remmina.c.o CMakeFiles/remmina.dir/remmina_chat_window.c.o CMakeFiles/remmina.dir/remmina_crypt.c.o CMakeFiles/remmina.dir/remmina_exec.c.o CMakeFiles/remmina.dir/remmina_file.c.o CMakeFiles/remmina.dir/remmina_file_editor.c.o CMakeFiles/remmina.dir/remmina_file_manager.c.o CMakeFiles/remmina.dir/remmina_ftp_client.c.o CMakeFiles/remmina.dir/remmina_icon.c.o CMakeFiles/remmina.dir/remmina_key_chooser.c.o CMakeFiles/remmina.dir/remmina_log.c.o CMakeFiles/remmina.dir/remmina_main.c.o CMakeFiles/remmina.dir/remmina_marshals.c.o CMakeFiles/remmina.dir/remmina_masterthread_exec.c.o CMakeFiles/remmina.dir/remmina_message_panel.c.o CMakeFiles/remmina.dir/remmina_plugin_manager.c.o CMakeFiles/remmina.dir/remmina_ext_exec.c.o CMakeFiles/remmina.dir/remmina_pref.c.o CMakeFiles/remmina.dir/remmina_pref_dialog.c.o CMakeFiles/remmina.dir/remmina_protocol_widget.c.o CMakeFiles/remmina.dir/remmina_public.c.o CMakeFiles/remmina.dir/remmina_scrolled_viewport.c.o CMakeFiles/remmina.dir/remmina_sftp_client.c.o CMakeFiles/remmina.dir/remmina_sftp_plugin.c.o CMakeFiles/remmina.dir/remmina_sodium.c.o CMakeFiles/remmina.dir/remmina_ssh.c.o CMakeFiles/remmina.dir/remmina_ssh_plugin.c.o CMakeFiles/remmina.dir/remmina_string_array.c.o CMakeFiles/remmina.dir/remmina_string_list.c.o CMakeFiles/remmina.dir/remmina_unlock.c.o CMakeFiles/remmina.dir/remmina_utils.c.o CMakeFiles/remmina.dir/remmina_widget_pool.c.o CMakeFiles/remmina.dir/remmina_external_tools.c.o CMakeFiles/remmina.dir/remmina_sysinfo.c.o CMakeFiles/remmina.dir/rcw.c.o CMakeFiles/remmina.dir/rmnews.c.o CMakeFiles/remmina.dir/remmina_mpchange.c.o CMakeFiles/remmina.dir/remmina_scheduler.c.o CMakeFiles/remmina.dir/remmina_stats.c.o CMakeFiles/remmina.dir/remmina_stats_sender.c.o  -o remmina  -lgtk-3 -lgdk-3 -lglib-2.0 -lgio-2.0 -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lpango-1.0 -lcairo -lgdk_pixbuf-2.0 -latk-1.0 -lSM -lICE -lX11 -lXext -lpthread -lgcrypt -lssl -lcrypto /usr/lib64/libsodium.so -ljson-glib-1.0 -lsoup-2.4 
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: CMakeFiles/remmina.dir/remmina_stats.c.o:/var/tmp/portage/net-misc/remmina-1.3.10/work/Remmina-v1.3.10/src/remmina_stats.c:162: multiple definition of `u'; CMakeFiles/remmina.dir/remmina_utils.c.o:/var/tmp/portage/net-misc/remmina-1.3.10/work/Remmina-v1.3.10/src/remmina_utils.c:54: first defined here
collect2: error: ld returned 1 exit status

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop-libressl-20200202-131532

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.6
  [3]   python3.7 (fallback)
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.41.0 *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.14.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm
ghc:
The Glorious Glasgow Haskell Compilation System, version 8.0.2

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Sat, 08 Feb 2020 15:27:09 +0000

emerge -qpvO net-misc/remmina
[ebuild  N    ] net-misc/remmina-1.3.10  USE="crypt cups libressl nls -ayatana -examples -gnome-keyring -kwallet -rdp -spice -ssh -telepathy -vnc -webkit -zeroconf"
Comment 1 Toralf Förster gentoo-dev 2020-02-08 16:56:53 UTC
Created attachment 612802 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-02-08 16:56:56 UTC
Created attachment 612804 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-02-08 16:56:59 UTC
Created attachment 612806 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-02-08 16:57:02 UTC
Created attachment 612808 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-02-08 16:57:05 UTC
Created attachment 612810 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-02-08 16:57:07 UTC
Created attachment 612812 [details]
net-misc:remmina-1.3.10:20200208-162432.log
Comment 7 Toralf Förster gentoo-dev 2020-02-08 16:57:10 UTC
Created attachment 612814 [details]
temp.tbz2
Comment 8 Larry the Git Cow gentoo-dev 2020-02-09 13:32:57 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e2ba17ea684c685b213acc48dc7eefcac684b7a2

commit e2ba17ea684c685b213acc48dc7eefcac684b7a2
Author:     Ben Kohler <bkohler@gentoo.org>
AuthorDate: 2020-02-09 13:31:48 +0000
Commit:     Ben Kohler <bkohler@gentoo.org>
CommitDate: 2020-02-09 13:32:13 +0000

    net-misc/remmina: add -fno-common/gcc10 fix from upstream
    
    Closes: https://bugs.gentoo.org/708740
    Package-Manager: Portage-2.3.88, Repoman-2.3.20
    Signed-off-by: Ben Kohler <bkohler@gentoo.org>

 net-misc/remmina/files/remmina-gcc10.patch | 36 ++++++++++++++++++++++++++++++
 net-misc/remmina/remmina-1.3.10.ebuild     |  1 +
 2 files changed, 37 insertions(+)